local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS

PrefabFiles = {
	"sniper",
	"kukri",
	"hat_slouch",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/sniper.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/sniper.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/sniper.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sniper.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/sniper_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sniper_silho.xml" ),

    Asset( "IMAGE", "bigportraits/sniper.tex" ),
    Asset( "ATLAS", "bigportraits/sniper.xml" ),

	Asset("IMAGE", "images/snipermini.tex"),
	Asset("ATLAS", "images/snipermini.xml"),

	Asset("IMAGE", "images/hat_slouchmini.tex"),
	Asset("ATLAS", "images/hat_slouchmini.xml"),

	Asset("IMAGE", "images/kukrimini.tex"),
	Asset("ATLAS", "images/kukrimini.xml"),
}

AddMinimapAtlas("images/snipermini.xml")
AddMinimapAtlas("images/hat_slouchmini.xml")
AddMinimapAtlas("images/kukrimini.xml")

--function sHat(player)
    --local slouchhatRecipe = GLOBAL.Recipe("hat_slouch", {Ingredient("silk", 6), Ingredient("pigskin", 1)}, RECIPETABS.DRESS, {SCIENCE =0} )
	--slouchhatRecipe.atlas = "images/inventoryimages/hat_slouch.xml"
--end

GLOBAL.STRINGS.NAMES.KUKRI = "Kukri"
GLOBAL.STRINGS.RECIPE_DESC.KUKRI = "Now this is a knife!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.KUKRI = "It's a pretty big knife!"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.KUKRI = "Not yet a fire sword."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.KUKRI = "Is big knife!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.KUKRI = "A lagre knife designed for survival and murder."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.KUKRI = "LARGE KNIFE"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.KUKRI = "A Nepalese Gurkha knife. Manufactured by Mann Co."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.KUKRI = "I've seen em' for sale at Canadian Tire."
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.KUKRI = "Kinda reminds me of a Night Sword."

AddSimPostInit(function(inst)
        if inst.prefab == "wathgrithr" then
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.KUKRI = "Tis' not a weapon for vikings, but it works."
elseif inst.prefab == "webber" then
STRINGS.CHARACTERS.WEBBER.DESCRIBE.KUKRI = "We are ready to take on anything!"
elseif inst.prefab == "sniper" then
STRINGS.CHARACTERS.SNIPER.DESCRIBE.KUKRI = "Now this is a knife!"
elseif inst.prefab == "peacock" then
STRINGS.CHARACTERS.PEACOCK.DESCRIBE.KUKRI = "It lacks a smiley face."
elseif inst.prefab == "soldier" then
STRINGS.CHARACTERS.SOLDIER.DESCRIBE.KUKRI = "This is not a weapon for my class!"
elseif inst.prefab == "tina" then
STRINGS.CHARACTERS.TINA.DESCRIBE.KUKRI = "It is now my melee weapon!"
elseif inst.prefab == "jackd" then
STRINGS.CHARACTERS.JACKD.DESCRIBE.KUKRI = "Ooh, kinda sharp..."
elseif inst.prefab == "wilhelm" then
STRINGS.CHARACTERS.WILHELM.DESCRIBE.KUKRI = "Nice..."
elseif inst.prefab == "hatkid" then
STRINGS.CHARACTERS.HATKID.DESCRIBE.KUKRI = "..."
elseif inst.prefab == "jenny" then
STRINGS.CHARACTERS.JENNY.DESCRIBE.KUKRI = "This looks handy for bushwhacking!"
elseif inst.prefab == "edison" then
STRINGS.CHARACTERS.EDISON.DESCRIBE.KUKRI = "Oooh, what's your name?"
elseif inst.prefab == "wcobb" then
STRINGS.CHARACTERS.WCOBB.DESCRIBE.KUKRI = "For giant's butter?"
elseif inst.prefab == "lycoris" then
STRINGS.CHARACTERS.LYCORIS.DESCRIBE.KUKRI = "Looks like a mighty blade!"
elseif inst.prefab == "irisrg" then
STRINGS.CHARACTERS.IRISRG.DESCRIBE.KUKRI = "There'll be bushes to whack!"
elseif inst.prefab == "madmax" then
STRINGS.CHARACTERS.MADMAX.DESCRIBE.KUKRI = "A true Aussie weapon."
        end
end)

GLOBAL.STRINGS.NAMES.HAT_SLOUCH = "Mann Co. Outback Hat"
GLOBAL.STRINGS.RECIPE_DESC.HAT_SLOUCH = "Keep the Desert Sun out of your eyes."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAT_SLOUCH = "It'll give some good shade."
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.HAT_SLOUCH = "It'll keep the big ball of fire out of my eyes."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.HAT_SLOUCH = "Is hat for snipers!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.HAT_SLOUCH = "A hat of a sniper, bringer of suprise death."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.HAT_SLOUCH = "SLOUCH HAT"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.HAT_SLOUCH = "A crocleather slouch hat, commonly worn by outdoorsmen. Manufactured by Mann Co."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.HAT_SLOUCH = "It's kinda cowboy-y eh?"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.HAT_SLOUCH = "I used to have one of these."

AddSimPostInit(function(inst)
        if inst.prefab == "wathgrithr" then
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.HAT_SLOUCH = "What a nice hat for shade."
elseif inst.prefab == "webber" then
STRINGS.CHARACTERS.WEBBER.DESCRIBE.HAT_SLOUCH = "We are supreme adventurers now!"
elseif inst.prefab == "sniper" then
STRINGS.CHARACTERS.SNIPER.DESCRIBE.HAT_SLOUCH = "A polite, efficent hat to wear when killing everyone you meet."
elseif inst.prefab == "peacock" then
STRINGS.CHARACTERS.PEACOCK.DESCRIBE.HAT_SLOUCH = "Smells like Kangaroos."
elseif inst.prefab == "soldier" then
STRINGS.CHARACTERS.SOLDIER.DESCRIBE.HAT_SLOUCH = "A stupid aussie hat!"
elseif inst.prefab == "tina" then
STRINGS.CHARACTERS.TINA.DESCRIBE.HAT_SLOUCH = "Reminds me of Sir Hammerlock."
elseif inst.prefab == "jackd" then
STRINGS.CHARACTERS.JACKD.DESCRIBE.HAT_SLOUCH = "I look sex-ay in any hat."
elseif inst.prefab == "wilhelm" then
STRINGS.CHARACTERS.WILHELM.DESCRIBE.HAT_SLOUCH = "Hat for any Elpis ocker."
elseif inst.prefab == "hatkid" then
STRINGS.CHARACTERS.HATKID.DESCRIBE.HAT_SLOUCH = "G'day!"
elseif inst.prefab == "jenny" then
STRINGS.CHARACTERS.JENNY.DESCRIBE.HAT_SLOUCH = "Ready for Bradventure!"
elseif inst.prefab == "edison" then
STRINGS.CHARACTERS.EDISON.DESCRIBE.HAT_SLOUCH = "Barry said he used to wear a hat like this."
elseif inst.prefab == "wcobb" then
STRINGS.CHARACTERS.WCOBB.DESCRIBE.HAT_SLOUCH = "The kid on the top bunk died!"
elseif inst.prefab == "lycoris" then
STRINGS.CHARACTERS.LYCORIS.DESCRIBE.HAT_SLOUCH = "Mate."
elseif inst.prefab == "irisrg" then
STRINGS.CHARACTERS.IRISRG.DESCRIBE.HAT_SLOUCH = "Whistle whistle."
elseif inst.prefab == "madmax" then
STRINGS.CHARACTERS.MADMAX.DESCRIBE.HAT_SLOUCH = "The hat of the Outback."
        end
end)

-- strings! Any "sniper" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.sniper = "The Sniper"
GLOBAL.STRINGS.CHARACTER_NAMES.sniper = "Mun-Dee"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.sniper = "*Less afraid of monsters and the dark\n*Brings a nifty Kukri\n*Able to take the heat"
GLOBAL.STRINGS.CHARACTER_QUOTES.sniper = "\"Pink Cloud of Death\""
--STRINGS.CHARACTERS.sniper=require "speech_sniper"


-- Let the game know sniper is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "sniper")


local function ModMaxwellIntro(inst)
	if GLOBAL.GetPlayer().prefab == "sniper" then
	inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/disappear",
	    voice = "dontstarve/maxwell/talk_LP",
		appearanim = "appear",
		idleanim= "idle",
		dialogpreanim = "dialog_pre",
		dialoganim="dial_loop",
		dialogpostanim = "dialog_pst",
		disappearanim = "disappear",
            disableplayer = true,
            skippable = false,
            {
                string = "A professional outdoorsman you say? Perhaps this is nothing new to you.",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "Nevertheless, I will still enjoy seeing you try to survive!",
                wait = 4,
                anim = nil,
                sound = nil,
            },
		}
			
		inst.components.maxwelltalker.speeches.ADVENTURE_1 =
        {
		delay = 2,
        appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "dontstarve/maxwell/talk_LP_world1",
		appearanim = "appear2",
		idleanim = "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim ="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
            disableplayer = true,
            skippable = false,
            {
			string = "So you've found my portal have you?",
			wait = 3,
			anim = nil,
			sound = nil,
		},
		{
			string = "However.", 
			wait = 1, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "What lies ahead is like no wilderness you've experienced.", 
			wait = 3, 
			anim = nil, 
			sound = nil, 
		},
		{
			string = "Have fun...", 
			wait = 2, 
			anim = nil, 
			sound = nil, 
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_2 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world2",
		appearanim = "appear3",
		idleanim = "idle3_loop",
		dialogpreanim = "dialog3_pre",
		dialoganim ="dialog3_loop",
		dialogpostanim = "dialog3_pst",
		disappearanim = "disappear3",
		disableplayer = true,
		skippable = true,
		{
			string = "I didn't exactly doubt an outdoorsman like you.",
			wait = 3,
			anim = nil,
			sound = nil,
		},
		{
			string = "But what lies ahead now will really test your skills as a survivorman.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "It's nothing like the Outback, Death Valley, or Alaska.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You must eat before you are eaten.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}
	
	inst.components.maxwelltalker.speeches.ADVENTURE_3 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim = "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim ="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "Bah. Why won't you die already?",
			wait = 3,
			anim = nil,
			sound = nil,
		},
		{
			string = "You must be more experienced at survival than I thought!", 
			wait = 4, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "But the game isn't over just yet!", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You still have a long ways to go.", 
			wait = 2, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "And you will not survive forever!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_4 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim = "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim ="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "Are you really still alive?",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "Look, everbody dies eventually, get over it.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You won't make it anyways.", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "And when you die...", 
			wait = 1.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I'll make sure you're a delicious morsel to any nearby beast.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_TWOLANDS =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP",
		appearanim = "appear2",
		idleanim = "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim ="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
		disableplayer = true,
		skippable = true,
		{
			string = "Greetings. AGAIN.",
			wait = 1,
			anim = nil,
			sound = nil,
		},
		{
			string = "I can not stand for such behavior!",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "So I came here to make you a deal.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I will allow you to stay in this wonderful area!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Or you can take the wormhole and get feasted upon by Merms.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You aren't good enough to try me.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Whatever your choice. Live forever, or die trying.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_5 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world5",
		appearanim = "appear5",
		idleanim = "idle5_loop",
		dialogpreanim = "dialog5_pre",
		dialoganim ="dialog5_loop",
		dialogpostanim = "dialog5_pst",
		disappearanim = "disappear5",
		disableplayer = true,
		skippable = true,
		{
			string = "ENOUGH!",
			wait = 1,
			anim = nil,
			sound = nil,
		},
		{
			string = "I CAN'T STAND YOU!", 
			wait = 1.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "YOUR DAYS UNDER THE OUTBACK SUN WON'T SAVE YOU NOW!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "BECAUSE NO OUTDOORSMAN NO MATTER HIS EXPERIENCE CAN SURVIVE THE ETERNAL DARKNESS!", 
			wait = 4, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "YOU WON'T EVEN BE ABLE TO SEE WHAT HITS YOU!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "IS THAT A SPY I HEAR!? YOU'D BEST WATCH YOUR BACK NOW WANKER!", 
			wait = 4, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I'LL BE WAITING...", 
			wait = 1.5, 
			anim = nil, 
			sound = nil,
		},
	}
            
	
	end
end

AddPrefabPostInit("maxwellintro", ModMaxwellIntro)


AddModCharacter("sniper", "MALE")
AddPrefabPostInit("kukri")
AddPrefabPostInit('hat_slouch')
--AddSimPostInit(sHat)
